# Functor Sys_utils.Sexp_checked_edit

    module Sexp_checked_edit: functor (S : Core.Std.Sexpable) -> sig .. end

Edit files containing sexps.

Parameters:

`S` | : | `Core.Std.Sexpable`

    val check : string -> string option

    val check_sexps : string -> string option

    val edit : ?create:bool -> string -> [ `Abort | `Ok ]

    val edit_sexps : ?create:bool -> string -> [ `Abort | `Ok ]